Subject: bug#33847: 27.0.50; emacsclient does not find server socket

From: Paul Eggert <[email-masked]>
Date: Thu, 27 Dec 2018 08:42:39 -0800

Richard Stallman wrote:
> Is it possible to arrange for each user to have a directory under /run/emacs
> which is owned by that user and doesn't give access to anyone else?
> 
> Maybe we could release a simple setuid program to create that directory.

Although I think that would work, as Ulrich wrote in Bug#33847#26 it has an 
operational problem: it requires the creation and installation of either a 
setuid program (which will raise eyebrows) or the creation of a new 'emacs' 
group and installation of a setgid 'emacs' program (which will raise fewer 
eyebrows but is still a hassle). Adding either requirement would be a hassle for 
builders and installers (e.g., how do you test the new Emacs before installing 
it if you don't have rights to create a setuid program in the build directory?). 
So we are looking for a better solution if possible.